POST
/workspaces/{workspaceId}/rulegroupsnamespaces
http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/rulegroupsnamespacesCreate a rule group namespace.
Access Token Required: API Key
Path Parameters
workspaceIdstringrequired
The ID of the workspace in which to create the rule group namespace.
Body Params
datastringrequired
The rule groups namespace data.
namestringrequired
The namespace name that the rule group belong to.
tagsobject
The list of tags assigned to the resource.
clientTokenstring
An identifier used to ensure the idempotency of a write request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/rulegroupsnamespaces' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}